#ifndef MGFADCDISP_H
#define MGFADCDISP_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MGEVTDISPLAY_H
#include "MGEvtDisplay.h"
#endif

class TGListBox;
class MRawEvtData;

class MGFadcDisp : public MGEvtDisplay
{
private:
    TGListBox   *fPixelList;

    void AddSetupElements();
    void UpdateDisplay();
    void DisplayPixel(Int_t lastsel=-1, Bool_t update=kTRUE);

    MRawEvtData *GetEvent() const;

public:

    MGFadcDisp(char *filename, char *treename,
               const TGWindow *p, const TGWindow *main, UInt_t w, UInt_t h);

    virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

    ClassDef(MGFadcDisp, 0) // Display for single pixel fadc data
};

#endif


